import { LitElement } from 'lit';
import '../icon/icon';
declare global {
    interface HTMLElementTagNameMap {
        'cv-tree-list-item': CovalentTreeListItem;
    }
}
export declare class CovalentTreeListItem extends LitElement {
    static styles: import("lit").CSSResult[];
    isOpen: boolean;
    icon: string;
    indentLevel: number;
    indentMultiple: number;
    isLeafItem: boolean;
    render(): import("lit-html").TemplateResult<1>;
    private _handleClick;
}
export default CovalentTreeListItem;
